## dish 1.18.2

=== debian/changelog ===
dish (1.18.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.2
  * Debian source format changed from default "1.0" to "3.0 (quilt)"
  * Updated license link in the copyright file to point to GPL-3

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Wed, 19 Oct 2011 12:29:17 +0200

dish (1.17.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.8.3
  * Debhelper compatibility level changed (>= 7) to fix the bug introduced 
    with the 1.17-1 release in debian/control for the Build-Depends (because
    of using dh_prep in debian/rules)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Mon, 26 Oct 2009 21:40:14 +0100

dish (1.17-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.8.0
  * 'Build-Depends-Indep:' field removed from debian/control because
    'make clean' is not used in debian/rules
  * using 'dh_prep' instead of the deprecated 'dh_clean -k'
  * MAKE has now a second target "install-doc-base" for supporting debian
    online documentation by `doc-base' - debian/doc-base file configured
  * Added debian/dish.links to link the manpage for 'dicp'

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Tue, 23 Sep 2008 21:05:36 +0200

dish (1.16.2-2) unstable; urgency=low

  * Program names quoted in the description paragraph in debian/control - 
    linitian warning "spelling-error-in-description" fixed

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Tue, 03 Jun 2008 21:20:09 +0200

dish (1.16.2-1) unstable; urgency=low

  * New upstream release
  * target configure-stamp removed from debian/rules
  * example of configuration files moved to debian/examples
  * Makefile adjusted in order to escape unescaped '-' from help2man

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Mon, 02 Jun 2008 20:27:17 +0200

dish (1.16.1-2) unstable; urgency=low

  * Standards-Version changed to 3.7.3
  * Homepage field added to debian/control
  * debian/rules fixed
    - dh_compress was lost in previous cleanup, now restored
    - configure target removed
    - CFLAGS removed
  * config_examples moved from debian/docs to debian/examples
  * usr/sbin removed from debian/dirs

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 29 May 2008 21:25:17 +0200

dish (1.16.1-1) unstable; urgency=low

  * New upstream release
  * Copyright years updated in the README file
  * Makefile adjusted with new target for creating debian source packages only

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 22 May 2008 21:14:15 +0200

dish (1.16-2) unstable; urgency=low

  * debian/rules fixed - no more lintian complaints about
    "binary-arch-rules-but-pkg-is-arch-indep" and
    "debian-rules-ignores-make-clean-error"

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Sat, 05 Apr 2008 23:22:45 +0200

dish (1.16-1) unstable; urgency=low

  * New upstream release (Closes: #474168)
  * Uploaded to mentors.debian.net

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 03 Apr 2008 21:31:19 +0200

dish (1.15) unstable; urgency=low

  * New upstream release

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Fri, 12 Oct 2007 16:27:37 +0200

dish (1.14) unstable; urgency=low

  * Initial Release (debian unofficial package)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 28 Dec 2006 22:40:20 +0100
