## dish 1.18.3

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 $(DIR_SRC)/$(DOC_MAN): $(DIR_SRC)/$(PROG) $(DIR_SRC)/$(DOC_SEEALSO)
 	cd $(DIR_SRC) ; \
 	help2man -N -n $(DOC_MAN_NAME) -i $(DOC_SEEALSO) ../$< \
-	|sed -e 's/\([^\\]\)-/\1\\-/g;s/\([^\\]\)-/\1\\-/g;' > $(DOC_MAN)
+	|sed -e 's/\([( ]\)\\fB/\1/g; s/\([^\\]\)-/\1\\-/g; s/\([^\\]\)-/\1\\-/g;' > $(DOC_MAN)
 
 $(DIR_SRC)/$(DOC_TEXT): $(DIR_SRC)/$(DOC_MAN)
 	cd $(DIR_SRC) ; \
@@ -45,10 +45,8 @@
 	cd $(DIR_SRC) ; \
 	which man2html 2>&1 |grep ^\/ && { man2html $(DOC_MAN) |egrep -vi "(^Section:|^Content-type|Return to Main Contents|^Time:|<H1>$<</H1>)" |sed -e 's_H2>_H3>_g' > $(DOC_HTML) ; } || true
 
-$(DOC_SEEALSO):
-
 clean:
-	rm -f $(VERSION) tar-stamp $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_TEXT)
+	rm -f $(VERSION) tar.stamp $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_TEXT)
 
 install: installdirs all
 	if [ -n "$(DESTDIR)" ] ; then \
@@ -88,16 +86,16 @@
 	fi ; \
 	./mkinstalldirs $$DESTBIN $$DESTMAN
 
-tar: all tar-stamp
+tar: all tar.stamp
 
-tar-stamp:
-	touch tar-stamp ; \
+tar.stamp:
+	touch tar.stamp ; \
 	vers=`cat $(VERSION)` ; \
 	ups=`test -f debian/changelog && \
 		awk 'NR==3 {print $0}' debian/changelog | \
 		grep -i 'new upstream' >/dev/null 2>&1 && echo 0` ; \
-	exclude="--exclude=debian --exclude=*-stamp \
-		--exclude=*.swp" ; \
+	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp \
+		--exclude=.*.swp" ; \
 	GZIP=--best ; \
 	export GZIP ; \
 	cd .. && tar czpvf $(PROG)-$$vers.tar.gz $(PROG)-$$vers $$exclude ; \
@@ -109,7 +107,7 @@
 	vers=`cat $(VERSION)` ; \
 	dvers=`test -f debian/changelog && \
 	       sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
-	exclude="--exclude=*.swp" ; \
+	exclude="--exclude=.*.swp" ; \
 	GZIP=--best ; \
 	export GZIP ; \
 	cd .. && \
@@ -131,5 +129,5 @@
 	@vers=`cat $(VERSION)` ; \
 	dvers=`sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
 	cd .. && \
-	sha1sum *$$dvers*{rpm,deb} *$$vers*.tar.gz \
-		|egrep -v "full|orig" |tac -> $(PROG)-$$vers.sha1
+	sha1sum $(PROG)-$$vers.tar.gz $(PROG)-$$dvers.noarch.rpm \
+		>$(PROG)-$$vers.sha1
