=== debian/changelog ===
dish (1.18.3-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.3

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 03 May 2012 13:13:55 +0200
