=== debian/control ===
Source: dish
Section: admin
Priority: optional
Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://dish.mirendom.net

Package: dish
Architecture: all
Depends: expect, ${misc:Depends}
Recommends: openssh-client | ssh, telnet | inetutils-telnet | telnet-ssl
Description: diligence/distributed shell for parallel sysadmin
 Dish executes commands simultaneously on several systems via 'ssh', 'rsh',
 'telnet', 'mysql', or any user-defined command-line connection client. 
 It makes easy the distribution of files by 'scp' and 'rcp', but also a remote
 password change or operations requiring authentication by multiple passwords.
 Dish can be used as a flexible tool for managing large number of various types
 of hosts such as (clustered) servers, switches, databases, etc.
