## dish 1.19.1

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 tar: all tar.stamp
 
-tar.stamp:
+tar.stamp: NEWS README
 	touch tar.stamp ; \
 	vers=`cat $(VERSION)` ; \
 	ups=`test -f debian/changelog && \
@@ -116,7 +116,7 @@
 debsrc: all tar tar-full
 	debuild -S
 
-packages: all tar tar-full
+packages: tar tar-full
 	@( debuild && debuild clean && \
 	dvers=`test -f debian/changelog && \
 	       sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` && \
