=== debian/changelog ===
dish (1.19.1-2) unstable; urgency=medium

  * Maintain package in Salvage team
    Closes: #1108490
  * Add telnet-client to alternatives for Dependencies
    Closes: #1016852
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * d/copyright: DEP5
  * Short dh

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jun 2025 16:26:40 +0200

dish (1.19.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:36:21 +0100

dish (1.19.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.4
  * New entry in dish.links:
    '/usr/share/doc/dish/changelog.gz' points to '/usr/share/doc/dish/NEWS.gz'
  * Clean exit on timeout: all spawned processes terminated (Ubuntu LP: #661659)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 19 Sep 2013 18:12:56 +0200
