=== debian/control ===
Source: dish
Section: admin
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Dimitar Ivanov <dimitar.ivanov@mirendom.net>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               expect
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/dish
Vcs-Git: https://salsa.debian.org/salvage-team/dish.git
Homepage: http://dish.mirendom.net

Package: dish
Architecture: all
Depends: expect, ${misc:Depends}
Recommends: openssh-client | ssh,
            telnet | telnet-client | inetutils-telnet | telnet-ssl
Description: diligence/distributed shell for parallel sysadmin
 Dish executes commands simultaneously on several systems via 'ssh', 'rsh',
 'telnet', 'mysql', or any user-defined command-line connection client.
 It makes easy the distribution of files by 'scp' and 'rcp', but also a remote
 password change or operations requiring authentication by multiple passwords.
 Dish can be used as a flexible tool for managing large number of various types
 of hosts such as (clustered) servers, switches, databases, etc.
