=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	echo "Do not remove files we want to install later"

override_dh_auto_build:
	echo "Everything is readily build - no need to call help2man"

override_dh_auto_install:
	echo "Install target is quite complex - just relay on dh_install"

override_dh_installchangelogs:
	dh_installchangelogs NEWS
