=== debian/watch ===
version=4

https://freeshell.de/~drimiks/gnu/dish.shtml .*/download.cgi/progs/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
